-- Addon:	ChiBar: constants and variables
-- Author:	Fushui(EU-Azshara)

if select(2, UnitClass("player")) ~= "MONK" then
    return
end

------------------------------------------
--		Creating Varibales 				--
------------------------------------------

-- Creating MainArray for all da fun, mon!
ChiBar = {}
ChiBar.VERSIONNUMBER = GetAddOnMetadata("ChiBar", "Version")

-- Creating MainFrame
ChiBar.mainFrame = CreateFrame("Frame", "ChiBarFrame", UIParent)

-- Some Constants
ChiBar.ICON = "|TInterface\\Addons\\ChiBar\\images\\MonkLightPower:15:15|t"
ChiBar.VERSIONTEXT_1 = ChiBar.ICON.." |cff00FF96ChiBar Version "..ChiBar.VERSIONNUMBER.." "..ChiBar.ICON
ChiBar.VERSIONTEXT_2 = "|cff00FF96Coding: Fushui(EU-Azshara)   Textures: Ayliara(EU-Azshara)"
ChiBar.BUBBLEDIM = 50
ChiBar.CLASSPOWER = {
	["MONK"] = 12,
	["PALADIN"] = 9,
	}
ChiBar.CLASSPOWERID = ChiBar.CLASSPOWER[select(2, UnitClass("player"))]
ChiBar.FIRST_SLASH_START = 0

-- Texture names
ChiBar.TEXTURE_NAMES = {
	"Chinese Dragon",
	"KittyFox",
	"Minimalistic 1",
	"Minimalistic 2",
	"Rhombus 1",
	"Rhombus 2",
	"Sphere Simple",
	"Sphere Sun 1",
	"Sphere Sun 2",
	"Square Simple",
	"Yin & Yang 1",
	"Yin & Yang 2",
	"Yin & Yang 3",
	}

-- Texture paths (name on position 1 belongs path on position 1, etc.)
ChiBar.TEXTURE_PATH = {
	"chinese_dragon",
	"kittyfox",
	"minimalistic_1",
	"minimalistic_2",
	"rhombus_1",
	"rhombus_2",
	"sphere_simple",
	"sphere_sun_1",
	"sphere_sun_2",
	"square_simple",
	"yin_yang_1",
	"yin_yang_2",
	"yin_yang_3",
	}

-- Creating the folderpath of the textures for the addon
ChiBar.textures = {}
local index
for index = 1, #ChiBar.TEXTURE_NAMES do
	ChiBar.textures[((index*2)-1)] =
		"Interface\\Addons\\ChiBar\\images\\"..ChiBar.TEXTURE_PATH[index].."_empty.tga"
	ChiBar.textures[(index*2)] =
		"Interface\\Addons\\ChiBar\\images\\"..ChiBar.TEXTURE_PATH[index].."_glow.tga"
end


------------------------------------------
--		End of Script					--
------------------------------------------